package com.fzm.common.config;

import com.fzm.common.properties.ObsProperties;
import com.obs.services.ObsClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * @author tangtuo
 * @date 2021/12/31 14:51
 */
@Configuration
public class ObsConfig {

    @Bean
    public ObsClient obsClient(ObsProperties obsProperties) {
        return new ObsClient(obsProperties.getAppKey(), obsProperties.getAppSecret(), obsProperties.getEndPoint());
    }
}
