package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author tangtuo
 * @date 2021/7/1 14:32
 */
@Data
@TableName("tb_category")
@Accessors(chain = true)
public class Category extends BaseEntity{

    @ApiModelProperty("类目名称")
    private String categoryName;

    @ApiModelProperty("英文名")
    private String englishName;
}
