package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/23 11:54
 */
@Data
@Accessors(chain = true)
@ApiModel("收藏")
@TableName("tb_collection")
public class TbCollection {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("用户主键")
    private Integer userId;

    @ApiModelProperty("nft主键")
    private Integer nftId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;

}
