package com.fzm.common.entity.dto;

import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/12/23 18:18
 */
@Data
public class CopyrightQueryResponse {

    private String apply_time;

    private Integer audit_status;

    private CertificateInfo certificate;

    private int code;

    private CopyrightRequest.CopyrightDetail copyright_detail;

    private String message;

    private String remark;

    private String sign;

    private boolean success;

    private String timestamp;

    @Data
    public static class CertificateInfo {
        private String author_name;
        private Integer cert_status;
        private Integer cert_type;
        private String create_time;
        private String finish_time;
        private Integer form_code;
        private Integer is_publicity;
        private Integer mail_status;
        private String mail_time;
        private String owner_name;
        private String power_range;
        private String publish_time;
        private String register_code;
        private String territorial_scope;
        private String works_name;
        private Integer works_type_code;
    }
}
