package com.fzm.common.entity.vo;

import com.fzm.common.entity.CopyrightApply;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class CopyrightCertificateVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("作品名称")
    private String opusName;

    @ApiModelProperty("证书哈希")
    private String evidenceHash;

    @ApiModelProperty("作品性质")
    private String opusProperty;

    @ApiModelProperty("存证人")
    private String evidencer;

    @ApiModelProperty("存证时间")
    private Date evidenceDate;

    @ApiModelProperty(value = "作品分类")
    private String opusCategory;

    public CopyrightCertificateVo(CopyrightApply copyrightApply, String evidencer, String opusCategory) {
        this.id = copyrightApply.getId();
        this.opusName = copyrightApply.getOpusName();
        this.evidenceHash = copyrightApply.getEvidenceHash();
        this.opusProperty = copyrightApply.getOpusProperty();
        this.evidenceDate = copyrightApply.getEvidenceDate();
        this.evidencer = evidencer;
        this.opusCategory = opusCategory;
    }

}
