package com.fzm.common.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/9/14 15:46
 */
@Data
public class NftTransferDetailVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("nft名称")
    private String nftName;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("nft类型")
    private String category;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("id")
    private String tradeId;

    @ApiModelProperty("创作者")
    private String publisher;

    @ApiModelProperty("区块链高度")
    private Long height;

    @ApiModelProperty("转让类型 1-转出 2转入")
    private Integer transferType;

    @ApiModelProperty("创建日期")
    private Date createDate;

    @ApiModelProperty("转出人地址")
    private String fromWallet;

    @ApiModelProperty("转出人昵称")
    private String fromNickname;

    @ApiModelProperty("转出人头像")
    private String fromAvatar;

    @ApiModelProperty("转入人地址")
    private String toWallet;

    @ApiModelProperty("转入人昵称")
    private String toNickname;

    @ApiModelProperty("转入人头像")
    private String toAvatar;

}
