package com.fzm.common.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/9/14 10:56
 */
@Data
public class NftTransferRecordVo {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("nft名称")
    private String nftName;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("类型")
    private String category;

    @ApiModelProperty("转出人地址")
    private String fromAddress;

    @ApiModelProperty("转出人昵称")
    private String fromNickname;

    @ApiModelProperty("接收人地址")
    private String toAddress;

    @ApiModelProperty("接收人昵称")
    private String toNickname;

    @ApiModelProperty("流水类型")
    private String streamType = "转让";

    @ApiModelProperty("交易结果")
    private String tradeResult = "成功";

    @ApiModelProperty("创建时间")
    private Date createDate;

}
