package com.fzm.common.enums;

import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/6/28 11:47
 */
@Getter
public enum AuthType {

    PERSON(0,"个人认证"),
    ENTERPRISE(1,"企业认证")
    ;
    private Integer type;

    private String desc;

    AuthType(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
