package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/9 17:42
 */
@Getter
@AllArgsConstructor
public enum AuthorityAcquire {


    ORIGINAL(1, "原始"),
    EXTEND(2, "继承"),
    BEAR(3, "承受"),
    OTHER(4, "其他"),
    ;

    private int code;
    private String val;

    public static int getByType(String type) {
        for (AuthorityAcquire value : AuthorityAcquire.values()) {
            if (value.getVal().equals(type)) {
                return value.getCode();
            }
        }
        return 0;
    }
}
