package com.fzm.common.enums;

/**
 * @author tangtuo
 * @date 2021/12/8 14:34
 */
public enum FileSuffix {

    JPG,
    JPEG,
    GIF,
    BMP,
    PNG,
    MP4,
    WMV,
    MP3,
    WAV,
    DOC,
    DOCX,
    XLS,
    XLSX,
    PPT,
    PPTX,
    PDF,
    TXT;

    /**
     * 校验文件类型是否合规
     *
     * @param fileSuffix
     * @return
     */
    public static boolean validFileType(String fileSuffix) {
        for (FileSuffix value : FileSuffix.values()) {
            if (value.toString().equals(fileSuffix.toUpperCase())) {
                return true;
            }
        }
        return false;
    }

    public static void main(String[] args) {
        System.out.println(validFileType("WAV"));
    }
}
