package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/9/13 15:20
 */
@Getter
@AllArgsConstructor
public enum IdCardVerificationResponse {
    SUCCESS("0","姓名和身份证号一致"),
    FAILED1("-1","姓名和身份证号不一致"),
    FAILED2("-2","非法身份证号（长度、校验位等不正确）"),
    FAILED3("-3","非法姓名（长度、格式等不正确）"),
    FAILED4("-4","证件库服务异常"),
    FAILED5("-5","证件库中无此身份证记录"),
    ;
    private String code;
    private String desc;
}
