package com.fzm.common.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.CopyrightApply;
import com.fzm.common.entity.vo.CopyrightApplyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:27
 */
@Mapper
public interface CopyrightApplyMapper extends BaseMapper<CopyrightApply> {

    /**
     * 查询用户的版权登记列表
     *
     * @param userId
     * @param state
     * @return
     */
    List<CopyrightApply> list(@Param("userId") Integer userId, @Param("state") Integer state);

    List<CopyrightApplyVo> pages(@Param("telephone") String telephone, @Param("serialNum") String serialNum, @Param("registerState") Integer registerState, @Param("startDate") DateTime startDate, @Param("endDate") DateTime endDate);

    List<String> getSerialCodes();

}
