package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.CopyrightOwner;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:30
 */
@Mapper
public interface CopyrightOwnerMapper extends BaseMapper<CopyrightOwner> {

    /**
     * 根据著作权人id查询
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightOwner> getByCopyrightId(@Param("copyrightId") Integer copyrightId);
}
