package com.fzm.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tangtuo
 * @date 2021/12/21 15:48
 */
@Data
@Component
@ConfigurationProperties(prefix = "copyright")
public class CopyrightProperties {

    private String applyUrl;
    private String queryUrl;
    private String appId;
    private String appSecret;

}
