package com.fzm.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tangtuo
 * @date 2021/6/29 15:54
 */
@Data
@Component
@ConfigurationProperties(prefix = "huaweiyun.obs")
public class ObsProperties {

    private String appKey;

    private String appSecret;

    private String endPoint;

    private String bucket;

}
