package com.fzm.common.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tangtuo
 * @date 2021/6/29 15:54
 */
@Data
@Component
@ConfigurationProperties(prefix = "aliyun.oss")
public class OssProperties {

    private String appKey;

    private String appSecret;

    private String endPoint;

    /**
     * 非加密文件存储的bucket
     */
    private String simpleBucket;

    /**
     * 加密文件存储的bucket
     */
    private String encryptBucket;
}
