package com.fzm.common.properties;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tangtuo
 * @date 2021/6/25 16:03
 */
@Data
@Component
@ConfigurationProperties(prefix = "sms")
public class SmsProperties {

    @ApiModelProperty("app key")
    private String appKey;

    @ApiModelProperty("app秘钥")
    private String appSecret;

    @ApiModelProperty("发送短信验证码接口地址")
    private String sendSmsUrl;

    @ApiModelProperty("校验验证码接口地址")
    private String validateCodeUrl;

    @ApiModelProperty("登录短信验证码模板")
    private String loginMessageCodetype;

    @ApiModelProperty("登录邮件验证码模板")
    private String loginEmailCodetype;

    @ApiModelProperty("登录语音验证码模板")
    private String loginVoiceCodetype;

    @ApiModelProperty("转让nft短信验证码模板")
    private String transferNftMessageCodetype;

    @ApiModelProperty("转让nft邮件验证码模板")
    private String transferNftEmailCodetype;

    @ApiModelProperty("转让nft语言验证码模板")
    private String transferNftVoiceCodetype;


}
