package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightFile;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:43
 */
public interface CopyrightFileService extends IService<CopyrightFile> {

    /**
     * 根据版权id查询
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightFile> getByCopyrightId(Integer copyrightId);


    /**
     * 根据版权id删除
     *
     * @param id
     * @return
     */
    Integer delByCopyrightId(Integer id);
}
