package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightOwner;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:40
 */
public interface CopyrightOwnerService extends IService<CopyrightOwner> {

    /**
     * 获取我的著作权人列表
     *
     * @param userId
     * @return
     */
    List<CopyrightOwner> getByUserId(Integer userId);

    /**
     * 根据著作权id查询列表
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightOwner> getByCopyrightId(Integer copyrightId);
}
