package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Banner;
import com.fzm.common.mapper.BannerMapper;
import com.fzm.common.service.BannerService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/5 15:09
 */
@Service
public class BannerServiceImpl extends ServiceImpl<BannerMapper, Banner> implements BannerService {


    @Override
    public List<Banner> listAll() {
        QueryWrapper<Banner> wrapper = new QueryWrapper<>();
        wrapper.orderByDesc("sort");
        return list(wrapper);
    }
}
