package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.FileTemplate;
import com.fzm.common.mapper.FileTemplateMapper;
import com.fzm.common.service.FileTemplateService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/10 16:02
 */
@Service
public class FileTemplateServiceImpl extends ServiceImpl<FileTemplateMapper, FileTemplate> implements FileTemplateService {


    @Override
    public List<FileTemplate> listByType(Integer type) {
        QueryWrapper<FileTemplate> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("type", type);
        return baseMapper.selectList(queryWrapper);
    }
}
