package com.fzm.portal;

import lombok.SneakyThrows;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;

import java.awt.*;
import java.awt.datatransfer.Clipboard;
import java.awt.datatransfer.StringSelection;
import java.awt.event.KeyEvent;

public class Test {

    private static final String USER_AGENT = "Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_8; en-us) AppleWebKit/534.50 (KHTML, like Gecko) Version/5.1 Safari/534.50";
    private static final int TIME_OUT = 60 * 1000;
    private static RequestConfig requestConfig;
    private static CloseableHttpClient httpClient;

    static {
        requestConfig = RequestConfig.custom()
                .setConnectTimeout(TIME_OUT)
                .setSocketTimeout(TIME_OUT)
                .setConnectionRequestTimeout(TIME_OUT)
                .build();

        httpClient = HttpClients.custom().setDefaultRequestConfig(requestConfig).build();
    }

    @SneakyThrows
    public static void main(String[] args) {
        String url = "https://chp.shadiao.app/api.php";
        HttpGet httpGet = new HttpGet(url);
        httpGet.setHeader("connection", "keep-alive");
        httpGet.setHeader("user-agent", USER_AGENT);

        Robot robot = new Robot();
        robot.delay(3 * 1000); // 延迟3秒，用来打开窗口
        Clipboard clip = Toolkit.getDefaultToolkit().getSystemClipboard();

        int count = 10;
        int s = 0;
        while (count > 0) {
            CloseableHttpResponse httpResponse = httpClient.execute(httpGet);
            if (null != httpResponse && httpResponse.getStatusLine().getStatusCode() == 200) {
                String resJoson = EntityUtils.toString(httpResponse.getEntity(), "UTF-8");

                clip.setContents(new StringSelection(resJoson), null);
                robot.keyPress(KeyEvent.VK_CONTROL);
                robot.keyPress(KeyEvent.VK_V);
                robot.keyRelease(KeyEvent.VK_CONTROL);

                robot.delay(1 * 1000); // 1秒延迟

                robot.keyPress(KeyEvent.VK_ENTER);
                ++s;
                System.out.println("第" + s + "次，发送成功！");
            }
            httpResponse.close();
            count--;
            Thread.sleep(100);
        }

        httpClient.close();
    }
}