package com.fzm.admin.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author tangtuo
 * @date 2021/7/5 15:26
 */
@Data
public class LoginParam {

    @NotBlank(message = "用户名不能为空")
    private String username;

    @NotBlank(message = "密码不能为空")
    private String password;
}
