package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2022/1/11 14:22
 */
@Data
@TableName(value = "tb_banner")
public class Banner {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("banner名称")
    private String name;

    @ApiModelProperty("详情信息")
    private String jumpUrl;

    @ApiModelProperty("海报地址")
    private String poster;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;
}
