package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/12/10 15:54
 */
@Data
@TableName("tb_file_template")
public class FileTemplate {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    @ApiModelProperty("类型  0-权利取得方式证明材料 1-代理委托书 2-权利归属证明材料《合作作品权属协议书》3-权利归属证明材料《著作权权属申请》4-权利归属证明材料《职务作品权属约定》 5-权利归属证明材料《委托创作协议书（甲方享有全部权利）》,权利归属证明材料《委托创作协议书（作者保留署名权）》")
    private Integer type;

}
