package com.fzm.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author tangtuo
 * @date 2021/7/8 16:04
 */
@Data
public class NftDto {

    @NotNull(message = "nft主键不能为空")
    @ApiModelProperty("nft主键")
    private Integer id;

    @NotBlank(message = "nft哈希不能为空")
    @ApiModelProperty("nft哈希")
    private String fileHash;

    @NotBlank(message = "nft编号不能为空")
    @ApiModelProperty("nft编号")
    private String nftId;

    @NotBlank(message = "发行人地址不能为空")
    @ApiModelProperty("发行人地址")
    private String wallet;
}
