package com.fzm.common.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author tangtuo
 * @date 2021/12/10 15:22
 */
@Data
public class DraftDTO {

    private Integer id;

    @NotBlank(message = "草稿内容不能为空")
    private String content;

    @NotNull(message = "步骤不能为空")
    private Integer step;

    @NotBlank(message = "解析内容不能为空")
    private String json;

    private Integer copyrightId;

    private Integer userId;
}
