package com.fzm.common.entity.vo;

import cn.hutool.core.bean.BeanUtil;
import com.fzm.common.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/13 11:35
 */
@Data
public class CopyrightApplyVo {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "流水号")
    private String serialNum;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "申请账号")
    private String telephone;

    @ApiModelProperty(value = "用户昵称")
    private String nickname;

    @ApiModelProperty(value = "nft哈希")
    private String nftHash;

    @ApiModelProperty(value = "nft名称")
    private String nftName;

    @ApiModelProperty(value = "作品名称")
    private String opusName;

    @ApiModelProperty(value = "登记状态 -1:已撤回  0:待审核 2:已提交 3:已驳回 4:登记成功 5:审核失败 ")
    private Integer registerState;

    @ApiModelProperty(value = "申请时间")
    private Date applyTime;


}
