package com.fzm.common.entity.vo;

import com.fzm.common.enums.CopyrightApplyState;
import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/12/17 16:29
 */
@Data
public class CopyrightStateVo {

    private int code;
    private String value;
    private String msg;

    public CopyrightStateVo(CopyrightApplyState stateEnum, String rejectReason) {
        this.code = stateEnum.getCode();
        this.value = stateEnum.getValue();
        if (stateEnum.equals(CopyrightApplyState.REJECTED) || stateEnum.equals(CopyrightApplyState.FAILED)) {
            this.msg = rejectReason;
        } else {
            this.msg = stateEnum.getMsg();
        }
    }
}
