package com.fzm.common.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/17 14:51
 */
@Data
public class EvidenceVo {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty(value = "存证哈希")
    private String evidenceHash;

    @ApiModelProperty("存证人")
    private String evidencer;

    @ApiModelProperty("登记号")
    private String registrationNum;

    private String opusName;

    private List<String> authors;

    private String opusType;

    private List<String> owners;

    @ApiModelProperty(value = "作品完成日期")
    private Date opusCompleteDate;

    @ApiModelProperty(value = "首次发表日期")
    private Date firstPublishDate;

    @ApiModelProperty("登记时间")
    private Date registrationDate;

    @ApiModelProperty("存证时间")
    private Date evidenceDate;
}
