package com.fzm.common.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author tangtuo
 * @date 2021/7/5 10:14
 */
@Data
@Accessors(chain = true)
public class UserStatisticVo {

    @ApiModelProperty("已注册用户数")
    private Integer registerUserCount;

    @ApiModelProperty("已实名用户数")
    private Integer authUserCount;

    @ApiModelProperty("已发行nft用户数")
    private Integer publishUserCount;

    @ApiModelProperty("个人实名数")
    private Integer personAuthCount;

    @ApiModelProperty("企业实名数")
    private Integer enterpriseAuthCount;


}
