package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/13 10:33
 */
@Getter
@AllArgsConstructor
public enum OwnerType {

    PERSON(0, "个人"),
    LEGAL(1, "法人"),

    ;
    private int type;
    private String desc;

    public static String getByType(int type) {
        return type == PERSON.getType() ? PERSON.getDesc() : LEGAL.getDesc();
    }
}
