package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.Authority;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:28
 */
@Mapper
public interface AuthorityMapper extends BaseMapper<Authority> {

    /**
     * 根据版权id查询列表
     *
     * @param copyrightId
     * @return
     */
    List<Authority> getByCopyrightId(Integer copyrightId);
}
