package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.TbCollection;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:35
 */
@Mapper
public interface CollectionMapper extends BaseMapper<TbCollection> {

    /**
     * 根据用户id查询所有收藏的nftId
     * @param userId
     * @return
     */
    List<Integer> getNftIdListByUserId(int userId);
}
