package com.fzm.common.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.AuthPerson;
import com.fzm.common.entity.NftTransferRecord;
import com.fzm.common.entity.vo.NftTransferDetailVo;
import com.fzm.common.entity.vo.NftTransferRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/28 11:25
 */
@Mapper
public interface NftTransferRecordMapper extends BaseMapper<NftTransferRecord> {


    List<NftTransferRecordVo> getTransferRecordList(@Param("nftHash") String nftHash, @Param("fromAddress") String fromAddress, @Param("toAddress") String toAddress, @Param("start") DateTime start, @Param("end") DateTime end);

    List<NftTransferDetailVo> list(@Param("wallet") String wallet, @Param("type") Integer type);

    NftTransferDetailVo getDetail(@Param("id") Integer id);
}
