package com.fzm.common.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.User;
import com.fzm.common.entity.vo.UserListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/23 15:14
 */
@Mapper
public interface UserMapper extends BaseMapper<User> {
    /**
     * 查询用户列表
     *
     * @param telephone
     * @param nickname
     * @param authType
     * @param startDate
     * @param endDate
     * @return
     */
    List<UserListVo> list(@Param("telephone") String telephone, @Param("nickname") String nickname, @Param("authType") Integer authType, @Param("startDate") DateTime startDate, @Param("endDate") DateTime endDate);
}
