package com.fzm.common.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author tangtuo
 * @date 2021/6/23 15:33
 */
@Data
public class LoginParam {

    @ApiModelProperty("手机号")
    private String telephone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("验证码")
    private String verificationCode;

    @ApiModelProperty("验证码类型, sms-短信 email-邮件 voice-语音")
    private String codetype;
}
