package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.Authority;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:42
 */
public interface AuthorityService extends IService<Authority> {


    List<Authority> getByType(int type);

    /**
     * 根据版权id查询列表
     *
     * @param id
     * @return
     */
    List<Authority> getByCopyrightId(Integer id);
}
