package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.TbCollection;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:35
 */
public interface CollectionService extends IService<TbCollection> {

    /**
     * 根据用户id和nftId删除记录
     *
     * @param userId
     * @param nftId
     */
    void deleteByUserIdAndNftId(int userId, Integer nftId);

    /**
     * 根据用户id查询所有收藏的nftId
     *
     * @param userId
     * @return
     */
    List<Integer> getNftIdListByUserId(int userId);
}
