package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightApplyOwnerRelation;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/13 11:24
 */
public interface CopyrightApplyOwnerRelationService extends IService<CopyrightApplyOwnerRelation> {


    /**
     * 根据版权id删除记录
     *
     * @param copyrightId
     * @return
     */
    Integer delByCopyrightId(Integer copyrightId);

    /**
     * 根据版权id查询
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightApplyOwnerRelation> getByCopyrightId(Integer copyrightId);
}
