package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightAuthor;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:41
 */
public interface CopyrightAuthorService extends IService<CopyrightAuthor> {

    /**
     * 根据版权id删除
     *
     * @param id
     * @return
     */
    Integer delByCopyrightId(Integer id);

    /**
     * 根据版权id查询作者列表
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightAuthor> getByCopyrightId(int copyrightId);
}
