package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.AuthPerson;
import com.fzm.common.mapper.AuthPersonMapper;
import com.fzm.common.service.AuthPersonService;
import jdk.nashorn.internal.ir.annotations.Reference;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2021/6/28 11:29
 */
@Service
public class AuthPersonServiceImpl extends ServiceImpl<AuthPersonMapper, AuthPerson> implements AuthPersonService {

    @Override
    public AuthPerson getByUserId(Integer userId) {
        QueryWrapper<AuthPerson> wrapper = new QueryWrapper<>();
        wrapper.eq("user_id", userId);
        return getOne(wrapper);
    }

}
