package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightAuthorityRelation;
import com.fzm.common.mapper.CopyrightAuthorityRelationMapper;
import com.fzm.common.service.CopyrightAuthorityRelationService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2021/12/9 11:44
 */
@Service
public class CopyrightAuthorityRelationServiceImpl extends ServiceImpl<CopyrightAuthorityRelationMapper, CopyrightAuthorityRelation> implements CopyrightAuthorityRelationService {

    @Resource
    private CopyrightAuthorityRelationMapper copyrightAuthorityRelationMapper;

    @Override
    public Integer delByCopyrightId(Integer copyrightId) {
        UpdateWrapper<CopyrightAuthorityRelation> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("copyright_id", copyrightId);
        return copyrightAuthorityRelationMapper.delete(updateWrapper);
    }

}
